package io.bakewallet.app

import android.appwidget.AppWidgetManager
import android.appwidget.AppWidgetProvider
import android.content.Context
import android.content.Intent
import android.widget.RemoteViews

class ExampleAppWidgetProvider : AppWidgetProvider() {

    override fun onUpdate(
            context: Context,
            appWidgetManager: AppWidgetManager,
            appWidgetIds: IntArray
    ) {
        for (appWidgetId in appWidgetIds) {
            val views = RemoteViews(
                context.packageName,
                R.layout.widget_content
            )
            appWidgetManager.updateAppWidget(appWidgetId, views)
        }
        
    }

    override fun onReceive(context: Context?, intent: Intent?) {
//        val toast: Toast = Toast.makeText(context, "onReceive", Toast.LENGTH_SHORT)
//        toast.show()
        super.onReceive(context, intent)
    }
}

